<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{A539505D-9AC0-426B-A9A0-197DF50598B0}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FLY.OBJComponents</RootNamespace>
    <AssemblyName>FLY.OBJComponents</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Client\BufferPage.cs" />
    <Compile Include="Client\BufferWindow.cs" />
    <Compile Include="Client\BufferServiceClient.cs" />
    <Compile Include="Client\PLCProxySystemServiceClient.cs" />
    <Compile Include="Client\RemoteHistorySerivceClient.cs" />
    <Compile Include="Client\SetPLCUpdatePlan.cs" />
    <Compile Include="Client\SyncPropServiceClient.cs" />
    <Compile Include="Client\WarningServiceClient.cs" />
    <Compile Include="Common\NotifyBufferChangedEventArgs.cs" />
    <Compile Include="Common\FlyData_WarningHistory.cs" />
    <Compile Include="Common\PropertiesManager.cs" />
    <Compile Include="IService\IBuffer.cs" />
    <Compile Include="IService\IBufferAdd.cs" />
    <Compile Include="IService\IPLCProxySystemService.cs" />
    <Compile Include="IService\IPropertyOpt.cs" />
    <Compile Include="IService\IRemoteHistory.cs" />
    <Compile Include="IService\IWarningService.cs" />
    <Compile Include="OBJ_INTERFACE\BUFFER_OBJ_INTERFACE.cs" />
    <Compile Include="OBJ_INTERFACE\PLCOS_OBJ_INTERFACE.cs" />
    <Compile Include="OBJ_INTERFACE\REMOTEHISTORY_OBJ_INTERFACE.cs" />
    <Compile Include="OBJ_INTERFACE\SYNCPROP_OBJ_INTERFACE.cs" />
    <Compile Include="OBJ_INTERFACE\WARNING_OBJ_INTERFACE.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Server.OBJProxy\Buffer_OBJProxy.cs" />
    <Compile Include="Server.OBJProxy\PLCProxySystem_OBJProxy.cs" />
    <Compile Include="Server.OBJProxy\RemoteHistory_OBJProxy.cs" />
    <Compile Include="Server.OBJProxy\SyncProp_OBJProxy.cs" />
    <Compile Include="Server.OBJProxy\WarningSystem_OBJProxy.cs" />
    <Compile Include="Server\Buffer.cs" />
    <Compile Include="Server\BufferSQLite.cs" />
    <Compile Include="Server\BufferStorage.cs" />
    <Compile Include="Server\BufferError.cs" />
    <Compile Include="Server\History.cs" />
    <Compile Include="Server\Model\DB_Error.cs" />
    <Compile Include="Server\Model\IErrorDBModel.cs" />
    <Compile Include="Server\PLCProxySystem.cs" />
    <Compile Include="Server\WarningSystem.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="FodyWeavers.xml">
      <SubType>Designer</SubType>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Project.FLY.FObjSys\FObjSys\FObjBase.csproj">
      <Project>{abfe87d4-b692-4ae9-a8c0-1f470b8acbb8}</Project>
      <Name>FObjBase</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Project.FLY.Misc\MISC\Misc.csproj">
      <Project>{5ee61ac6-5269-4f0f-b8fa-4334fe4a678f}</Project>
      <Name>Misc</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Project.FLY.ModbusMapper\FLY.ModbusMapper\FLY.ModbusMapper.csproj">
      <Project>{6d4b9bda-2a66-4583-b244-758bc4213d9f}</Project>
      <Name>FLY.ModbusMapper</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Project.SQLiteHelper\SQLiteHelper\SQLiteHelper.csproj">
      <Project>{4CBABFAA-1C62-4510-AC63-A51EE5FD50FF}</Project>
      <Name>SQLiteHelper</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json">
      <Version>12.0.3</Version>
    </PackageReference>
    <PackageReference Include="PropertyChanged.Fody">
      <Version>2.6.1</Version>
    </PackageReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>